Skip to content
LogoLogo

Mempool

Node API v1.0.0 (Arrekta Node API).

MethodPathSummary
GET/v1/feesFees
GET/v1/mempoolMempool Info

GET /v1/fees

Fees.

curl -s http://127.0.0.1:28332/v1/fees

Response 200 (application/json): Fees

FieldTypeRequiredNotes
asset_issuance_feestringyes
estimatesFeeTarget[] | nullnorate per confirmation target (1, 2, 3, 6, 12, 36 and 144 blocks). may be null
fee_per_kbintegeryesnext block, from the mempool projection
min_relay_fee_per_kbintegeryes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: fees_v1_fees_get

GET /v1/mempool

Mempool Info.

curl -s http://127.0.0.1:28332/v1/mempool

Parameters

NameInTypeRequiredNotes
limitqueryintegernomin 0, max 10000, default 1000

Response 200 (application/json): MempoolInfo

FieldTypeRequiredNotes
bytesintegeryes
countintegeryes
fee_per_kb_estimateintegeryes
txidsstring[]yes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: mempool_info_v1_mempool_get

Schemas

FeeTarget

FieldTypeRequiredNotes
fee_per_kbintegeryesbase units per 1000 bytes to confirm within target_blocks
sourcestringyeswhich view set the rate: the mempool projection or the confirmation history. one of mempool, history
target_blocksintegeryes

Unknown fields may be added within v1; clients must ignore them.

Fees

FieldTypeRequiredNotes
asset_issuance_feestringyes
estimatesFeeTarget[] | nullnorate per confirmation target (1, 2, 3, 6, 12, 36 and 144 blocks). may be null
fee_per_kbintegeryesnext block, from the mempool projection
min_relay_fee_per_kbintegeryes

Unknown fields may be added within v1; clients must ignore them.

MempoolInfo

FieldTypeRequiredNotes
bytesintegeryes
countintegeryes
fee_per_kb_estimateintegeryes
txidsstring[]yes

Unknown fields may be added within v1; clients must ignore them.